petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscSFBcastEnd

end a broadcast & reduce operation started with PetscSFBcastBegin()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFBcastEnd(PetscSF sf,MPI_Datatype unit,const void *rootdata,void *leafdata,MPI_Op op)

Collective

### Input Arguments

| sf | - star forest
| unit | - data type
| rootdata | - buffer to broadcast
| op | - operation to use for reduction

### Output Arguments

| leafdata | - buffer to be reduced with values from each leaf's respective root

### See Also

PetscSFSetGraph(), PetscSFReduceEnd()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/tutorials/ex1.c.html
src/vec/is/sf/tutorials/ex2.c.html
src/vec/is/sf/tutorials/ex1f.F90.html
src/ts/tutorials/ex11.c.html
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages